{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"https://wechat-mp.herokuapp.com","description":"Generated server url"}],"paths":{"/mp-message":{"post":{"tags":["wechat-message-controller"],"operationId":"mpMessage","requestBody":{"content":{"application/xml":{"schema":{"$ref":"#/components/schemas/Xml"}}},"required":true},"responses":{"200":{"description":"OK"}}}},"/mp-qr":{"get":{"tags":["wechat-mp-api-controller"],"operationId":"mpQrUrl","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MpQR"}}}}}}},"/mp-qr-scan-status":{"get":{"tags":["wechat-mp-qr-scan-status-api-controller"],"operationId":"mpQrScanStatus","parameters":[{"name":"ticket","in":"query","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/MpQRScanStatus"}}}}}}}},"components":{"schemas":{"Xml":{"type":"object","properties":{"ToUserName":{"type":"string"},"FromUserName":{"type":"string"},"CreateTime":{"type":"number"},"MsgType":{"type":"string"},"Event":{"type":"string"},"EventKey":{"type":"string"},"Ticket":{"type":"string"}}},"MpQR":{"type":"object","properties":{"expire_seconds":{"type":"integer","format":"int64"},"imageUrl":{"type":"string"},"sceneId":{"type":"string"},"ticket":{"type":"string"},"url":{"type":"string"}}},"MpQRScanStatus":{"type":"object","properties":{"openId":{"type":"string"},"status":{"type":"string"}}}}}}